<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-17T18:59:36.050Z",
    "scenariosCreated": 33592,
    "scenariosCompleted": 25705,
    "requestsCompleted": 48245,
    "latency": {
      "min": 227.9,
      "max": 61966,
      "median": 958.9,
      "p95": 2047.9,
      "p99": 6450.5
    },
    "rps": {
      "count": 56132,
      "mean": 68.02
    },
    "scenarioDuration": {
      "min": 2470.4,
      "max": 65712.9,
      "median": 3558.9,
      "p95": 5442.4,
      "p99": 18872.9
    },
    "scenarioCounts": {
      "Fuzz calculatePrice minute": 11347,
      "Fuzz getSpec": 11061,
      "Fuzz calculatePrice fixed": 11184
    },
    "errors": {
      "ENOBUFS": 7653,
      "EADDRINUSE": 231,
      "ECONNRESET": 3
    },
    "codes": {
      "200": 25703,
      "302": 22540,
      "500": 2
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 60,
        "arrivalRate": 5,
        "name": "Warm up"
      },
      {
        "duration": 120,
        "arrivalRate": 5,
        "rampTo": 50,
        "name": "Ramp up load"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-17T18:46:00.658Z",
      "scenariosCreated": 49,
      "scenariosCompleted": 29,
      "requestsCompleted": 84,
      "latency": {
        "min": 290.6,
        "max": 8851.3,
        "median": 939.9,
        "p95": 1373.8,
        "p99": 6429.2
      },
      "rps": {
        "count": 92,
        "mean": 9.46
      },
      "scenarioDuration": {
        "min": 3350.2,
        "max": 4111.4,
        "median": 3466.1,
        "p95": 3853.2,
        "p99": 4111.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 15,
        "Fuzz getSpec": 18,
        "Fuzz calculatePrice fixed": 16
      },
      "errors": {},
      "codes": {
        "200": 41,
        "302": 43
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 20,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:46:10.658Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 53,
      "requestsCompleted": 102,
      "latency": {
        "min": 289.3,
        "max": 10328.6,
        "median": 916.6,
        "p95": 1254.7,
        "p99": 8930
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 3311.8,
        "max": 12375.8,
        "median": 3421.9,
        "p95": 9351,
        "p99": 12342.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 21,
        "Fuzz getSpec": 17,
        "Fuzz calculatePrice fixed": 12
      },
      "errors": {},
      "codes": {
        "200": 51,
        "302": 50,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 17,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:46:20.657Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 49,
      "requestsCompleted": 100,
      "latency": {
        "min": 292.1,
        "max": 6316.2,
        "median": 915.7,
        "p95": 1095,
        "p99": 4229.6
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 3321.6,
        "max": 5328.2,
        "median": 3390.3,
        "p95": 3711.9,
        "p99": 5328.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 23,
        "Fuzz calculatePrice fixed": 11,
        "Fuzz getSpec": 16
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 18,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:46:30.682Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 98,
      "latency": {
        "min": 291.4,
        "max": 2607.8,
        "median": 929.5,
        "p95": 1083.6,
        "p99": 1897.7
      },
      "rps": {
        "count": 100,
        "mean": 9.98
      },
      "scenarioDuration": {
        "min": 3274.2,
        "max": 8691.3,
        "median": 3414,
        "p95": 3573.2,
        "p99": 8691.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 16,
        "Fuzz calculatePrice minute": 17,
        "Fuzz calculatePrice fixed": 17
      },
      "errors": {},
      "codes": {
        "200": 48,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 18,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:46:40.676Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 102,
      "latency": {
        "min": 287.9,
        "max": 2624.9,
        "median": 802.4,
        "p95": 1176.9,
        "p99": 2160
      },
      "rps": {
        "count": 100,
        "mean": 10.01
      },
      "scenarioDuration": {
        "min": 3312.7,
        "max": 4986.3,
        "median": 3403.9,
        "p95": 4243,
        "p99": 4986.3
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 22,
        "Fuzz getSpec": 16,
        "Fuzz calculatePrice fixed": 12
      },
      "errors": {},
      "codes": {
        "200": 52,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 18,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:46:50.662Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 52,
      "requestsCompleted": 101,
      "latency": {
        "min": 290.7,
        "max": 1404.4,
        "median": 899.5,
        "p95": 1169.6,
        "p99": 1360.3
      },
      "rps": {
        "count": 101,
        "mean": 10.12
      },
      "scenarioDuration": {
        "min": 3297.8,
        "max": 15195.3,
        "median": 3408,
        "p95": 3784.7,
        "p99": 14972.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 17,
        "Fuzz calculatePrice minute": 23,
        "Fuzz calculatePrice fixed": 10
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:47:00.667Z",
      "scenariosCreated": 59,
      "scenariosCompleted": 52,
      "requestsCompleted": 112,
      "latency": {
        "min": 280.4,
        "max": 1275.6,
        "median": 688.1,
        "p95": 1168.5,
        "p99": 1254.7
      },
      "rps": {
        "count": 115,
        "mean": 11.5
      },
      "scenarioDuration": {
        "min": 3302,
        "max": 3687.8,
        "median": 3406.1,
        "p95": 3644.9,
        "p99": 3687.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 19,
        "Fuzz getSpec": 17,
        "Fuzz calculatePrice minute": 23
      },
      "errors": {},
      "codes": {
        "200": 56,
        "302": 56
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 23,
      "pendingRequests": 9,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:47:10.682Z",
      "scenariosCreated": 112,
      "scenariosCompleted": 90,
      "requestsCompleted": 204,
      "latency": {
        "min": 280.6,
        "max": 4387.8,
        "median": 914.1,
        "p95": 1151.3,
        "p99": 2748.9
      },
      "rps": {
        "count": 216,
        "mean": 21.58
      },
      "scenarioDuration": {
        "min": 3274.8,
        "max": 7810.5,
        "median": 3391.7,
        "p95": 3799.4,
        "p99": 7214.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 39,
        "Fuzz getSpec": 38,
        "Fuzz calculatePrice fixed": 35
      },
      "errors": {},
      "codes": {
        "200": 100,
        "302": 104
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 45,
      "pendingRequests": 21,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:47:20.685Z",
      "scenariosCreated": 141,
      "scenariosCompleted": 122,
      "requestsCompleted": 268,
      "latency": {
        "min": 286.2,
        "max": 12059.5,
        "median": 903.9,
        "p95": 1100.1,
        "p99": 5775.9
      },
      "rps": {
        "count": 277,
        "mean": 27.9
      },
      "scenarioDuration": {
        "min": 3270.2,
        "max": 5870.2,
        "median": 3387.1,
        "p95": 3738.1,
        "p99": 5685.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 47,
        "Fuzz getSpec": 62,
        "Fuzz calculatePrice fixed": 32
      },
      "errors": {},
      "codes": {
        "200": 132,
        "302": 136
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 64,
      "pendingRequests": 30,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:47:30.676Z",
      "scenariosCreated": 159,
      "scenariosCompleted": 151,
      "requestsCompleted": 301,
      "latency": {
        "min": 291.4,
        "max": 18418.6,
        "median": 889.1,
        "p95": 1127.8,
        "p99": 5984.7
      },
      "rps": {
        "count": 308,
        "mean": 30.86
      },
      "scenarioDuration": {
        "min": 3270.4,
        "max": 21370.1,
        "median": 3389.6,
        "p95": 5114.2,
        "p99": 14442.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 63,
        "Fuzz calculatePrice minute": 48,
        "Fuzz calculatePrice fixed": 48
      },
      "errors": {},
      "codes": {
        "200": 152,
        "302": 149
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 72,
      "pendingRequests": 37,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:47:40.689Z",
      "scenariosCreated": 187,
      "scenariosCompleted": 174,
      "requestsCompleted": 375,
      "latency": {
        "min": 290.3,
        "max": 28088,
        "median": 926.1,
        "p95": 1288.8,
        "p99": 7124.8
      },
      "rps": {
        "count": 376,
        "mean": 37.71
      },
      "scenarioDuration": {
        "min": 3275.5,
        "max": 30464,
        "median": 3397.5,
        "p95": 3885.6,
        "p99": 25312.3
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 71,
        "Fuzz calculatePrice fixed": 62,
        "Fuzz getSpec": 54
      },
      "errors": {},
      "codes": {
        "200": 186,
        "302": 189
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 85,
      "pendingRequests": 38,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:47:50.699Z",
      "scenariosCreated": 261,
      "scenariosCompleted": 268,
      "requestsCompleted": 432,
      "latency": {
        "min": 291,
        "max": 29556.6,
        "median": 535.5,
        "p95": 1159.7,
        "p99": 22089.1
      },
      "rps": {
        "count": 418,
        "mean": 41.8
      },
      "scenarioDuration": {
        "min": 2494.3,
        "max": 31934.6,
        "median": 3371.4,
        "p95": 5066.2,
        "p99": 26726.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 85,
        "Fuzz getSpec": 87,
        "Fuzz calculatePrice minute": 89
      },
      "errors": {},
      "codes": {
        "200": 275,
        "302": 157
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 78,
      "pendingRequests": 24,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:48:00.714Z",
      "scenariosCreated": 280,
      "scenariosCompleted": 260,
      "requestsCompleted": 269,
      "latency": {
        "min": 304.6,
        "max": 35866.9,
        "median": 552.7,
        "p95": 901.6,
        "p99": 1280.9
      },
      "rps": {
        "count": 280,
        "mean": 27.97
      },
      "scenarioDuration": {
        "min": 2484.1,
        "max": 5927.2,
        "median": 2569.7,
        "p95": 2940.5,
        "p99": 3614.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 103,
        "Fuzz calculatePrice minute": 90,
        "Fuzz calculatePrice fixed": 87
      },
      "errors": {},
      "codes": {
        "200": 268,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 98,
      "pendingRequests": 35,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:48:10.695Z",
      "scenariosCreated": 332,
      "scenariosCompleted": 330,
      "requestsCompleted": 335,
      "latency": {
        "min": 300.7,
        "max": 28403.2,
        "median": 524.3,
        "p95": 1022.1,
        "p99": 19450.1
      },
      "rps": {
        "count": 336,
        "mean": 33.67
      },
      "scenarioDuration": {
        "min": 2473.4,
        "max": 40307.6,
        "median": 2551.9,
        "p95": 3242.4,
        "p99": 22248.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 116,
        "Fuzz getSpec": 121,
        "Fuzz calculatePrice fixed": 95
      },
      "errors": {},
      "codes": {
        "200": 332,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 100,
      "pendingRequests": 36,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:48:20.695Z",
      "scenariosCreated": 381,
      "scenariosCompleted": 328,
      "requestsCompleted": 472,
      "latency": {
        "min": 284.9,
        "max": 46238.4,
        "median": 675.4,
        "p95": 1078.1,
        "p99": 6035
      },
      "rps": {
        "count": 506,
        "mean": 50.6
      },
      "scenarioDuration": {
        "min": 2470.4,
        "max": 30837.9,
        "median": 2704.5,
        "p95": 3415.5,
        "p99": 8428
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 137,
        "Fuzz calculatePrice fixed": 127,
        "Fuzz getSpec": 117
      },
      "errors": {},
      "codes": {
        "200": 347,
        "302": 125
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 153,
      "pendingRequests": 70,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:48:30.707Z",
      "scenariosCreated": 420,
      "scenariosCompleted": 408,
      "requestsCompleted": 834,
      "latency": {
        "min": 276.1,
        "max": 33769.5,
        "median": 900.3,
        "p95": 1090.8,
        "p99": 5755.4
      },
      "rps": {
        "count": 841,
        "mean": 84.02
      },
      "scenarioDuration": {
        "min": 3269.1,
        "max": 50938.7,
        "median": 3384.5,
        "p95": 3861.8,
        "p99": 34386
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 161,
        "Fuzz calculatePrice fixed": 131,
        "Fuzz getSpec": 128
      },
      "errors": {},
      "codes": {
        "200": 413,
        "302": 421
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 165,
      "pendingRequests": 77,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:48:40.709Z",
      "scenariosCreated": 446,
      "scenariosCompleted": 436,
      "requestsCompleted": 881,
      "latency": {
        "min": 287.4,
        "max": 25093.2,
        "median": 897.3,
        "p95": 1099.8,
        "p99": 4964.2
      },
      "rps": {
        "count": 884,
        "mean": 88.49
      },
      "scenarioDuration": {
        "min": 3249.1,
        "max": 27507.7,
        "median": 3374.7,
        "p95": 4045.4,
        "p99": 18817.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 145,
        "Fuzz calculatePrice fixed": 150,
        "Fuzz calculatePrice minute": 151
      },
      "errors": {},
      "codes": {
        "200": 443,
        "302": 438
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 175,
      "pendingRequests": 80,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:48:50.703Z",
      "scenariosCreated": 490,
      "scenariosCompleted": 473,
      "requestsCompleted": 952,
      "latency": {
        "min": 286.3,
        "max": 22782.8,
        "median": 903.1,
        "p95": 1591.1,
        "p99": 9289.7
      },
      "rps": {
        "count": 957,
        "mean": 95.8
      },
      "scenarioDuration": {
        "min": 2497.1,
        "max": 25191.1,
        "median": 3454.5,
        "p95": 4351.5,
        "p99": 16155.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 152,
        "Fuzz calculatePrice minute": 157,
        "Fuzz getSpec": 181
      },
      "errors": {},
      "codes": {
        "200": 485,
        "302": 467
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 192,
      "pendingRequests": 85,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:49:00.703Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 496,
      "requestsCompleted": 1002,
      "latency": {
        "min": 283.6,
        "max": 21799.4,
        "median": 897.3,
        "p95": 1181.8,
        "p99": 6825.6
      },
      "rps": {
        "count": 998,
        "mean": 99.9
      },
      "scenarioDuration": {
        "min": 3249.2,
        "max": 29639.9,
        "median": 3405.8,
        "p95": 4277.2,
        "p99": 11157.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 182,
        "Fuzz calculatePrice fixed": 151,
        "Fuzz getSpec": 166
      },
      "errors": {},
      "codes": {
        "200": 503,
        "302": 499
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 195,
      "pendingRequests": 81,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:49:10.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 507,
      "requestsCompleted": 1018,
      "latency": {
        "min": 279.6,
        "max": 27170.2,
        "median": 907.2,
        "p95": 1188.6,
        "p99": 7004.4
      },
      "rps": {
        "count": 1007,
        "mean": 100.7
      },
      "scenarioDuration": {
        "min": 3249.7,
        "max": 34223.2,
        "median": 3399.9,
        "p95": 4202.1,
        "p99": 20964.3
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 173,
        "Fuzz getSpec": 158,
        "Fuzz calculatePrice minute": 169
      },
      "errors": {},
      "codes": {
        "200": 511,
        "302": 507
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 188,
      "pendingRequests": 70,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:49:20.702Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 493,
      "requestsCompleted": 999,
      "latency": {
        "min": 291.5,
        "max": 19196,
        "median": 906.7,
        "p95": 1275.2,
        "p99": 2081.4
      },
      "rps": {
        "count": 1003,
        "mean": 100.4
      },
      "scenarioDuration": {
        "min": 3267.9,
        "max": 27090.7,
        "median": 3414.8,
        "p95": 3908.3,
        "p99": 13027.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 169,
        "Fuzz calculatePrice fixed": 164,
        "Fuzz calculatePrice minute": 167
      },
      "errors": {},
      "codes": {
        "200": 496,
        "302": 503
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 195,
      "pendingRequests": 74,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:49:30.703Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 507,
      "requestsCompleted": 988,
      "latency": {
        "min": 287.9,
        "max": 19974.5,
        "median": 910.1,
        "p95": 1301.3,
        "p99": 2368.4
      },
      "rps": {
        "count": 991,
        "mean": 99.2
      },
      "scenarioDuration": {
        "min": 3252.9,
        "max": 23193.1,
        "median": 3433.9,
        "p95": 4456.9,
        "p99": 7021.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 185,
        "Fuzz calculatePrice fixed": 155,
        "Fuzz getSpec": 160
      },
      "errors": {},
      "codes": {
        "200": 497,
        "302": 491
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 188,
      "pendingRequests": 77,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:49:40.708Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 464,
      "requestsCompleted": 916,
      "latency": {
        "min": 293.1,
        "max": 24231.1,
        "median": 950.8,
        "p95": 1958.6,
        "p99": 4027.7
      },
      "rps": {
        "count": 970,
        "mean": 97.1
      },
      "scenarioDuration": {
        "min": 3288.4,
        "max": 26651.2,
        "median": 3455.9,
        "p95": 4764.3,
        "p99": 10169.7
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 181,
        "Fuzz getSpec": 158,
        "Fuzz calculatePrice fixed": 161
      },
      "errors": {},
      "codes": {
        "200": 446,
        "302": 470
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 224,
      "pendingRequests": 131,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:49:50.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 514,
      "requestsCompleted": 1058,
      "latency": {
        "min": 303.2,
        "max": 24513,
        "median": 969,
        "p95": 2126.1,
        "p99": 6469.1
      },
      "rps": {
        "count": 1027,
        "mean": 102.91
      },
      "scenarioDuration": {
        "min": 3330.7,
        "max": 31617.8,
        "median": 3631.7,
        "p95": 6949.2,
        "p99": 15548.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 171,
        "Fuzz calculatePrice minute": 163,
        "Fuzz calculatePrice fixed": 166
      },
      "errors": {},
      "codes": {
        "200": 531,
        "302": 527
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 210,
      "pendingRequests": 100,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:50:00.708Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 510,
      "requestsCompleted": 988,
      "latency": {
        "min": 302.3,
        "max": 19769.5,
        "median": 976.3,
        "p95": 1530.5,
        "p99": 2443.7
      },
      "rps": {
        "count": 997,
        "mean": 99.8
      },
      "scenarioDuration": {
        "min": 3345.9,
        "max": 27269.9,
        "median": 3596.9,
        "p95": 4777.9,
        "p99": 21448
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 166,
        "Fuzz getSpec": 172,
        "Fuzz calculatePrice minute": 162
      },
      "errors": {},
      "codes": {
        "200": 491,
        "302": 497
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 200,
      "pendingRequests": 109,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:50:10.711Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 497,
      "requestsCompleted": 1021,
      "latency": {
        "min": 301.8,
        "max": 12555.8,
        "median": 970,
        "p95": 1949.5,
        "p99": 3203.2
      },
      "rps": {
        "count": 997,
        "mean": 99.8
      },
      "scenarioDuration": {
        "min": 3366.4,
        "max": 10399.3,
        "median": 3614,
        "p95": 5025.6,
        "p99": 6575.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 177,
        "Fuzz getSpec": 155,
        "Fuzz calculatePrice fixed": 168
      },
      "errors": {},
      "codes": {
        "200": 524,
        "302": 497
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 203,
      "pendingRequests": 85,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:50:20.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 486,
      "requestsCompleted": 1015,
      "latency": {
        "min": 309.7,
        "max": 40471.8,
        "median": 965.4,
        "p95": 2041.7,
        "p99": 9072.5
      },
      "rps": {
        "count": 1010,
        "mean": 101.2
      },
      "scenarioDuration": {
        "min": 3331.2,
        "max": 42890.2,
        "median": 3603.3,
        "p95": 4944.6,
        "p99": 14219.1
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 174,
        "Fuzz getSpec": 165,
        "Fuzz calculatePrice fixed": 161
      },
      "errors": {},
      "codes": {
        "200": 505,
        "302": 510
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 217,
      "pendingRequests": 80,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:50:30.706Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 496,
      "requestsCompleted": 956,
      "latency": {
        "min": 297,
        "max": 33631.2,
        "median": 979.9,
        "p95": 1798.2,
        "p99": 3872
      },
      "rps": {
        "count": 986,
        "mean": 98.7
      },
      "scenarioDuration": {
        "min": 3332.9,
        "max": 32505.5,
        "median": 3583.2,
        "p95": 4881.7,
        "p99": 23359.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 162,
        "Fuzz getSpec": 164,
        "Fuzz calculatePrice fixed": 174
      },
      "errors": {},
      "codes": {
        "200": 470,
        "302": 486
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 221,
      "pendingRequests": 110,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:50:40.706Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 558,
      "requestsCompleted": 827,
      "latency": {
        "min": 303.8,
        "max": 34031.1,
        "median": 601.5,
        "p95": 1462.6,
        "p99": 8170.9
      },
      "rps": {
        "count": 794,
        "mean": 79.48
      },
      "scenarioDuration": {
        "min": 2500.3,
        "max": 36763.2,
        "median": 3506.1,
        "p95": 5009.9,
        "p99": 18066
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 155,
        "Fuzz getSpec": 174,
        "Fuzz calculatePrice fixed": 171
      },
      "errors": {
        "ENOBUFS": 32,
        "EADDRINUSE": 17
      },
      "codes": {
        "200": 533,
        "302": 294
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 114,
      "pendingRequests": 77,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:50:50.700Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 163,
      "requestsCompleted": 111,
      "latency": {
        "min": 339,
        "max": 33444.5,
        "median": 592.1,
        "p95": 22241.5,
        "p99": 32695.2
      },
      "rps": {
        "count": 506,
        "mean": 50.65
      },
      "scenarioDuration": {
        "min": 2507.9,
        "max": 36782,
        "median": 2628.9,
        "p95": 11359.4,
        "p99": 35251.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 182,
        "Fuzz calculatePrice fixed": 167,
        "Fuzz getSpec": 151
      },
      "errors": {
        "EADDRINUSE": 108,
        "ENOBUFS": 297
      },
      "codes": {
        "200": 105,
        "302": 6
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 46,
      "pendingRequests": 472,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:51:00.716Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 110,
      "requestsCompleted": 117,
      "latency": {
        "min": 495.3,
        "max": 31622.6,
        "median": 584.5,
        "p95": 2560.8,
        "p99": 26331
      },
      "rps": {
        "count": 500,
        "mean": 49.95
      },
      "scenarioDuration": {
        "min": 2511.8,
        "max": 30189.7,
        "median": 2602.1,
        "p95": 18251.9,
        "p99": 28506.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 167,
        "Fuzz calculatePrice fixed": 164,
        "Fuzz getSpec": 169
      },
      "errors": {
        "ENOBUFS": 387
      },
      "codes": {
        "200": 117
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 49,
      "pendingRequests": 855,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:51:10.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 170,
      "requestsCompleted": 186,
      "latency": {
        "min": 495.2,
        "max": 34129.8,
        "median": 960.9,
        "p95": 1963.1,
        "p99": 19237.7
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2514.9,
        "max": 42750.9,
        "median": 2955.9,
        "p95": 3926.2,
        "p99": 37814.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 170,
        "Fuzz calculatePrice fixed": 145,
        "Fuzz getSpec": 185
      },
      "errors": {
        "ENOBUFS": 298
      },
      "codes": {
        "200": 186
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 81,
      "pendingRequests": 1169,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:51:20.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 253,
      "requestsCompleted": 266,
      "latency": {
        "min": 492,
        "max": 43539,
        "median": 645.9,
        "p95": 1439.2,
        "p99": 4065.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2503,
        "max": 50151.8,
        "median": 2956.9,
        "p95": 3983.9,
        "p99": 5899.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 152,
        "Fuzz getSpec": 181,
        "Fuzz calculatePrice minute": 167
      },
      "errors": {
        "ENOBUFS": 234
      },
      "codes": {
        "200": 266
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 94,
      "pendingRequests": 1403,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:51:30.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 304,
      "requestsCompleted": 309,
      "latency": {
        "min": 499.2,
        "max": 1899.6,
        "median": 575.9,
        "p95": 1101.6,
        "p99": 1573.6
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 2504.9,
        "max": 46243.2,
        "median": 2603,
        "p95": 3139.5,
        "p99": 3746.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 172,
        "Fuzz getSpec": 165,
        "Fuzz calculatePrice minute": 163
      },
      "errors": {
        "ENOBUFS": 199
      },
      "codes": {
        "200": 309
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 91,
      "pendingRequests": 1594,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:51:40.705Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 277,
      "requestsCompleted": 349,
      "latency": {
        "min": 318.3,
        "max": 27663,
        "median": 882.5,
        "p95": 2225.2,
        "p99": 3371.3
      },
      "rps": {
        "count": 610,
        "mean": 61.12
      },
      "scenarioDuration": {
        "min": 2513.9,
        "max": 32566.9,
        "median": 2712.9,
        "p95": 3837.6,
        "p99": 5111.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 163,
        "Fuzz calculatePrice fixed": 167,
        "Fuzz calculatePrice minute": 170
      },
      "errors": {
        "ENOBUFS": 235
      },
      "codes": {
        "200": 239,
        "302": 110
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 79,
      "pendingRequests": 1855,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:51:50.702Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 158,
      "requestsCompleted": 437,
      "latency": {
        "min": 302,
        "max": 24610.1,
        "median": 1045.7,
        "p95": 2082.7,
        "p99": 2709.7
      },
      "rps": {
        "count": 798,
        "mean": 79.88
      },
      "scenarioDuration": {
        "min": 3347.6,
        "max": 8034.8,
        "median": 3666.9,
        "p95": 5552.3,
        "p99": 7055
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 148,
        "Fuzz calculatePrice fixed": 164,
        "Fuzz getSpec": 188
      },
      "errors": {
        "ENOBUFS": 368
      },
      "codes": {
        "200": 139,
        "302": 298
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 53,
      "pendingRequests": 2216,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:52:00.703Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 65,
      "requestsCompleted": 283,
      "latency": {
        "min": 312.4,
        "max": 36539.2,
        "median": 1024,
        "p95": 3104,
        "p99": 15587
      },
      "rps": {
        "count": 714,
        "mean": 71.4
      },
      "scenarioDuration": {
        "min": 3304.9,
        "max": 8496.9,
        "median": 3650.9,
        "p95": 5675.9,
        "p99": 8125.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 152,
        "Fuzz calculatePrice fixed": 163,
        "Fuzz calculatePrice minute": 185
      },
      "errors": {
        "ENOBUFS": 441,
        "ECONNRESET": 1
      },
      "codes": {
        "200": 69,
        "302": 214
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 46,
      "pendingRequests": 2647,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:52:10.702Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 82,
      "requestsCompleted": 315,
      "latency": {
        "min": 306.2,
        "max": 34626.3,
        "median": 1040,
        "p95": 2230.6,
        "p99": 3978.8
      },
      "rps": {
        "count": 727,
        "mean": 72.7
      },
      "scenarioDuration": {
        "min": 3341.2,
        "max": 7568.9,
        "median": 3502.6,
        "p95": 4835.1,
        "p99": 7082.3
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 180,
        "Fuzz getSpec": 151,
        "Fuzz calculatePrice minute": 169
      },
      "errors": {
        "ENOBUFS": 397
      },
      "codes": {
        "200": 88,
        "302": 227
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 67,
      "pendingRequests": 3059,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:52:20.745Z",
      "scenariosCreated": 501,
      "scenariosCompleted": 116,
      "requestsCompleted": 421,
      "latency": {
        "min": 307.7,
        "max": 16718.4,
        "median": 1036.7,
        "p95": 2396.2,
        "p99": 6205.6
      },
      "rps": {
        "count": 774,
        "mean": 77.09
      },
      "scenarioDuration": {
        "min": 3359.5,
        "max": 13216.9,
        "median": 3811.4,
        "p95": 6423.2,
        "p99": 9653.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 167,
        "Fuzz calculatePrice minute": 177,
        "Fuzz calculatePrice fixed": 157
      },
      "errors": {
        "ENOBUFS": 313
      },
      "codes": {
        "200": 147,
        "302": 274
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 139,
      "pendingRequests": 3412,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:52:30.737Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 365,
      "requestsCompleted": 832,
      "latency": {
        "min": 327.1,
        "max": 61966,
        "median": 1008.3,
        "p95": 2110,
        "p99": 11545.2
      },
      "rps": {
        "count": 940,
        "mean": 94.47
      },
      "scenarioDuration": {
        "min": 3382.1,
        "max": 19137.5,
        "median": 3785.9,
        "p95": 5382.2,
        "p99": 9662.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 186,
        "Fuzz calculatePrice fixed": 161,
        "Fuzz calculatePrice minute": 153
      },
      "errors": {
        "ENOBUFS": 109
      },
      "codes": {
        "200": 393,
        "302": 439
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 165,
      "pendingRequests": 3520,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:52:40.739Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 384,
      "requestsCompleted": 869,
      "latency": {
        "min": 330.7,
        "max": 7251.5,
        "median": 1125.1,
        "p95": 2231.7,
        "p99": 3070.5
      },
      "rps": {
        "count": 956,
        "mean": 95.79
      },
      "scenarioDuration": {
        "min": 2983.6,
        "max": 55978,
        "median": 4219.6,
        "p95": 5729.8,
        "p99": 39180.7
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 172,
        "Fuzz calculatePrice minute": 159,
        "Fuzz getSpec": 169
      },
      "errors": {
        "ENOBUFS": 66
      },
      "codes": {
        "200": 413,
        "302": 456
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 215,
      "pendingRequests": 3607,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:52:50.799Z",
      "scenariosCreated": 495,
      "scenariosCompleted": 448,
      "requestsCompleted": 853,
      "latency": {
        "min": 315.6,
        "max": 21898.4,
        "median": 995.4,
        "p95": 1541,
        "p99": 3307
      },
      "rps": {
        "count": 934,
        "mean": 93.21
      },
      "scenarioDuration": {
        "min": 2529.2,
        "max": 39818.5,
        "median": 3716.8,
        "p95": 5016.8,
        "p99": 18454.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 181,
        "Fuzz calculatePrice minute": 151,
        "Fuzz getSpec": 163
      },
      "errors": {
        "ENOBUFS": 59,
        "EADDRINUSE": 12
      },
      "codes": {
        "200": 412,
        "302": 441
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 191,
      "pendingRequests": 3688,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:53:00.803Z",
      "scenariosCreated": 404,
      "scenariosCompleted": 441,
      "requestsCompleted": 811,
      "latency": {
        "min": 338.7,
        "max": 38374.4,
        "median": 1108.8,
        "p95": 2218.3,
        "p99": 14891.9
      },
      "rps": {
        "count": 780,
        "mean": 79.51
      },
      "scenarioDuration": {
        "min": 2797.7,
        "max": 38602.1,
        "median": 4028.3,
        "p95": 5410.2,
        "p99": 25648.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 139,
        "Fuzz getSpec": 127,
        "Fuzz calculatePrice minute": 138
      },
      "errors": {},
      "codes": {
        "200": 435,
        "302": 376
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 154,
      "pendingRequests": 3657,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:53:10.793Z",
      "scenariosCreated": 570,
      "scenariosCompleted": 478,
      "requestsCompleted": 852,
      "latency": {
        "min": 387,
        "max": 19897,
        "median": 1175.8,
        "p95": 2536.5,
        "p99": 8113.5
      },
      "rps": {
        "count": 942,
        "mean": 94.39
      },
      "scenarioDuration": {
        "min": 2779.4,
        "max": 53580.8,
        "median": 4008,
        "p95": 5728.8,
        "p99": 23079.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 180,
        "Fuzz getSpec": 195,
        "Fuzz calculatePrice minute": 195
      },
      "errors": {},
      "codes": {
        "200": 480,
        "302": 372
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 246,
      "pendingRequests": 3747,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:53:20.769Z",
      "scenariosCreated": 533,
      "scenariosCompleted": 578,
      "requestsCompleted": 1103,
      "latency": {
        "min": 296.9,
        "max": 20163.1,
        "median": 1042.6,
        "p95": 2339.9,
        "p99": 4202.2
      },
      "rps": {
        "count": 1026,
        "mean": 103.22
      },
      "scenarioDuration": {
        "min": 2808,
        "max": 22898.1,
        "median": 3975.3,
        "p95": 5948.5,
        "p99": 15235.7
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 193,
        "Fuzz calculatePrice fixed": 190,
        "Fuzz getSpec": 150
      },
      "errors": {},
      "codes": {
        "200": 611,
        "302": 491,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 201,
      "pendingRequests": 3670,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:53:30.756Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 481,
      "requestsCompleted": 996,
      "latency": {
        "min": 310.5,
        "max": 30252.1,
        "median": 963.4,
        "p95": 1724.5,
        "p99": 6938.2
      },
      "rps": {
        "count": 1006,
        "mean": 100.9
      },
      "scenarioDuration": {
        "min": 3333.8,
        "max": 36623,
        "median": 3549.8,
        "p95": 4877.3,
        "p99": 25187.7
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 163,
        "Fuzz calculatePrice fixed": 177,
        "Fuzz getSpec": 160
      },
      "errors": {},
      "codes": {
        "200": 490,
        "302": 506
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 220,
      "pendingRequests": 3680,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:53:40.755Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 491,
      "requestsCompleted": 992,
      "latency": {
        "min": 292.6,
        "max": 23889.3,
        "median": 967.9,
        "p95": 1837,
        "p99": 4658.5
      },
      "rps": {
        "count": 988,
        "mean": 98.9
      },
      "scenarioDuration": {
        "min": 3348.3,
        "max": 21102,
        "median": 3537.9,
        "p95": 4825.1,
        "p99": 11574.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 150,
        "Fuzz calculatePrice minute": 151,
        "Fuzz calculatePrice fixed": 199
      },
      "errors": {},
      "codes": {
        "200": 504,
        "302": 488
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 229,
      "pendingRequests": 3676,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:53:50.774Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 571,
      "requestsCompleted": 874,
      "latency": {
        "min": 316,
        "max": 43539.5,
        "median": 650.5,
        "p95": 1591,
        "p99": 13170.6
      },
      "rps": {
        "count": 825,
        "mean": 82.42
      },
      "scenarioDuration": {
        "min": 2507.9,
        "max": 46068.8,
        "median": 3567.7,
        "p95": 5017.2,
        "p99": 30755.5
      },
      "scenarioCounts": {
        "Fuzz getSpec": 162,
        "Fuzz calculatePrice minute": 173,
        "Fuzz calculatePrice fixed": 165
      },
      "errors": {},
      "codes": {
        "200": 549,
        "302": 325
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 158,
      "pendingRequests": 3627,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:54:00.781Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 502,
      "requestsCompleted": 521,
      "latency": {
        "min": 319.8,
        "max": 23271,
        "median": 691.4,
        "p95": 1569.9,
        "p99": 2343.5
      },
      "rps": {
        "count": 522,
        "mean": 52.25
      },
      "scenarioDuration": {
        "min": 2510.9,
        "max": 37250.9,
        "median": 2747.2,
        "p95": 3991.9,
        "p99": 15291
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 177,
        "Fuzz getSpec": 154,
        "Fuzz calculatePrice fixed": 169
      },
      "errors": {},
      "codes": {
        "200": 499,
        "302": 22
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 156,
      "pendingRequests": 3628,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:54:10.786Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 499,
      "requestsCompleted": 548,
      "latency": {
        "min": 318.2,
        "max": 38041.7,
        "median": 710.9,
        "p95": 1757.9,
        "p99": 27805.4
      },
      "rps": {
        "count": 561,
        "mean": 56.16
      },
      "scenarioDuration": {
        "min": 2505.4,
        "max": 41666.9,
        "median": 2798.8,
        "p95": 4244.3,
        "p99": 32897.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 161,
        "Fuzz getSpec": 172,
        "Fuzz calculatePrice fixed": 167
      },
      "errors": {},
      "codes": {
        "200": 487,
        "302": 61
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 157,
      "pendingRequests": 3641,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:54:20.779Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 508,
      "requestsCompleted": 587,
      "latency": {
        "min": 306.4,
        "max": 49382.2,
        "median": 662.4,
        "p95": 2252.9,
        "p99": 12729.3
      },
      "rps": {
        "count": 567,
        "mean": 56.87
      },
      "scenarioDuration": {
        "min": 2503.9,
        "max": 51830.8,
        "median": 2744.2,
        "p95": 4786.1,
        "p99": 15932.1
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 173,
        "Fuzz calculatePrice fixed": 167,
        "Fuzz getSpec": 160
      },
      "errors": {},
      "codes": {
        "200": 520,
        "302": 67
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 149,
      "pendingRequests": 3621,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:54:30.776Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 492,
      "requestsCompleted": 555,
      "latency": {
        "min": 291.6,
        "max": 29495.2,
        "median": 573.1,
        "p95": 1513,
        "p99": 3545.3
      },
      "rps": {
        "count": 576,
        "mean": 57.72
      },
      "scenarioDuration": {
        "min": 2497.9,
        "max": 32630.5,
        "median": 2623.9,
        "p95": 3982,
        "p99": 6179.8
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 176,
        "Fuzz getSpec": 163,
        "Fuzz calculatePrice minute": 161
      },
      "errors": {},
      "codes": {
        "200": 479,
        "302": 76
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 157,
      "pendingRequests": 3642,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:54:40.786Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 448,
      "requestsCompleted": 887,
      "latency": {
        "min": 314.6,
        "max": 21859.1,
        "median": 1024.3,
        "p95": 1702.8,
        "p99": 3181.2
      },
      "rps": {
        "count": 915,
        "mean": 91.59
      },
      "scenarioDuration": {
        "min": 2496.9,
        "max": 12190.2,
        "median": 3582.6,
        "p95": 4878.9,
        "p99": 6222
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 175,
        "Fuzz calculatePrice minute": 168,
        "Fuzz getSpec": 157
      },
      "errors": {},
      "codes": {
        "200": 472,
        "302": 415
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 209,
      "pendingRequests": 3670,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:54:50.762Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 502,
      "requestsCompleted": 951,
      "latency": {
        "min": 314.2,
        "max": 44449.2,
        "median": 1024.2,
        "p95": 2047.6,
        "p99": 4909.2
      },
      "rps": {
        "count": 962,
        "mean": 96.49
      },
      "scenarioDuration": {
        "min": 3023.4,
        "max": 46975.7,
        "median": 3730.2,
        "p95": 5233.9,
        "p99": 19936.5
      },
      "scenarioCounts": {
        "Fuzz getSpec": 183,
        "Fuzz calculatePrice minute": 174,
        "Fuzz calculatePrice fixed": 143
      },
      "errors": {},
      "codes": {
        "200": 489,
        "302": 462
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 207,
      "pendingRequests": 3681,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:55:00.759Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 505,
      "requestsCompleted": 1031,
      "latency": {
        "min": 313.2,
        "max": 33875.8,
        "median": 946.9,
        "p95": 1792.6,
        "p99": 6583.6
      },
      "rps": {
        "count": 1015,
        "mean": 101.6
      },
      "scenarioDuration": {
        "min": 2843,
        "max": 36279.5,
        "median": 3589.9,
        "p95": 5218.3,
        "p99": 22162.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 169,
        "Fuzz getSpec": 158,
        "Fuzz calculatePrice fixed": 173
      },
      "errors": {},
      "codes": {
        "200": 516,
        "302": 515
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 202,
      "pendingRequests": 3665,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:55:10.763Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 383,
      "requestsCompleted": 658,
      "latency": {
        "min": 304.5,
        "max": 18139.6,
        "median": 1027.4,
        "p95": 2390.4,
        "p99": 11504.4
      },
      "rps": {
        "count": 868,
        "mean": 86.8
      },
      "scenarioDuration": {
        "min": 3343.8,
        "max": 17094.9,
        "median": 3683.7,
        "p95": 5263.2,
        "p99": 8429.8
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 166,
        "Fuzz calculatePrice minute": 160,
        "Fuzz getSpec": 174
      },
      "errors": {
        "ENOBUFS": 253,
        "EADDRINUSE": 1
      },
      "codes": {
        "200": 290,
        "302": 368
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 65,
      "pendingRequests": 3875,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:55:20.777Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 65,
      "requestsCompleted": 247,
      "latency": {
        "min": 308.6,
        "max": 18381.9,
        "median": 1028.7,
        "p95": 3167,
        "p99": 18022.9
      },
      "rps": {
        "count": 687,
        "mean": 68.63
      },
      "scenarioDuration": {
        "min": 3344.9,
        "max": 20474.9,
        "median": 3668.9,
        "p95": 17821.1,
        "p99": 20395.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 180,
        "Fuzz calculatePrice minute": 159,
        "Fuzz getSpec": 161
      },
      "errors": {
        "ENOBUFS": 418,
        "ECONNRESET": 1,
        "EADDRINUSE": 1
      },
      "codes": {
        "200": 60,
        "302": 187
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 80,
      "pendingRequests": 4315,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:55:30.775Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 195,
      "requestsCompleted": 334,
      "latency": {
        "min": 312,
        "max": 32672.6,
        "median": 1042.1,
        "p95": 5624,
        "p99": 24631.2
      },
      "rps": {
        "count": 622,
        "mean": 62.26
      },
      "scenarioDuration": {
        "min": 2518.7,
        "max": 39167.9,
        "median": 3472.1,
        "p95": 7876.6,
        "p99": 32447.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 154,
        "Fuzz calculatePrice fixed": 178,
        "Fuzz calculatePrice minute": 168
      },
      "errors": {
        "ENOBUFS": 310
      },
      "codes": {
        "200": 212,
        "302": 122
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 75,
      "pendingRequests": 4603,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:55:40.776Z",
      "scenariosCreated": 494,
      "scenariosCompleted": 95,
      "requestsCompleted": 333,
      "latency": {
        "min": 309,
        "max": 26412.4,
        "median": 1022.8,
        "p95": 1925.4,
        "p99": 16663.8
      },
      "rps": {
        "count": 734,
        "mean": 73.47
      },
      "scenarioDuration": {
        "min": 3373.9,
        "max": 35252.9,
        "median": 3552,
        "p95": 5326.9,
        "p99": 34771.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 157,
        "Fuzz getSpec": 164,
        "Fuzz calculatePrice fixed": 173
      },
      "errors": {
        "ENOBUFS": 386
      },
      "codes": {
        "200": 91,
        "302": 242
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 88,
      "pendingRequests": 5004,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:55:50.776Z",
      "scenariosCreated": 506,
      "scenariosCompleted": 170,
      "requestsCompleted": 471,
      "latency": {
        "min": 311.1,
        "max": 20446.2,
        "median": 1006.3,
        "p95": 1612.2,
        "p99": 4260.2
      },
      "rps": {
        "count": 791,
        "mean": 79.1
      },
      "scenarioDuration": {
        "min": 3394.4,
        "max": 7686.9,
        "median": 3586,
        "p95": 4877,
        "p99": 6734.8
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 164,
        "Fuzz getSpec": 166,
        "Fuzz calculatePrice minute": 176
      },
      "errors": {
        "ENOBUFS": 357
      },
      "codes": {
        "200": 188,
        "302": 283
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 67,
      "pendingRequests": 5324,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:56:00.781Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 123,
      "requestsCompleted": 272,
      "latency": {
        "min": 327.3,
        "max": 24503.8,
        "median": 1005.7,
        "p95": 1763.6,
        "p99": 2363.4
      },
      "rps": {
        "count": 674,
        "mean": 67.4
      },
      "scenarioDuration": {
        "min": 2511.9,
        "max": 5957.9,
        "median": 3122.1,
        "p95": 4506.7,
        "p99": 5750.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 182,
        "Fuzz getSpec": 162,
        "Fuzz calculatePrice minute": 156
      },
      "errors": {
        "ENOBUFS": 390
      },
      "codes": {
        "200": 98,
        "302": 174
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 54,
      "pendingRequests": 5726,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:56:10.773Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 72,
      "requestsCompleted": 303,
      "latency": {
        "min": 333.8,
        "max": 19807.9,
        "median": 1103.1,
        "p95": 2104.2,
        "p99": 2799.9
      },
      "rps": {
        "count": 722,
        "mean": 72.34
      },
      "scenarioDuration": {
        "min": 3382.3,
        "max": 23353.5,
        "median": 3730.4,
        "p95": 4819.8,
        "p99": 19537.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 176,
        "Fuzz calculatePrice minute": 155,
        "Fuzz getSpec": 169
      },
      "errors": {
        "ENOBUFS": 409
      },
      "codes": {
        "200": 81,
        "302": 222
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 73,
      "pendingRequests": 6145,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:56:20.786Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 115,
      "requestsCompleted": 369,
      "latency": {
        "min": 324.7,
        "max": 31163.3,
        "median": 1036.6,
        "p95": 2131.1,
        "p99": 17076.2
      },
      "rps": {
        "count": 754,
        "mean": 75.48
      },
      "scenarioDuration": {
        "min": 3394.9,
        "max": 33613.1,
        "median": 3717,
        "p95": 5674.4,
        "p99": 31419
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 142,
        "Fuzz getSpec": 164,
        "Fuzz calculatePrice minute": 194
      },
      "errors": {
        "ENOBUFS": 350
      },
      "codes": {
        "200": 115,
        "302": 254
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 108,
      "pendingRequests": 6530,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:56:30.779Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 299,
      "requestsCompleted": 819,
      "latency": {
        "min": 324.2,
        "max": 18853.1,
        "median": 1111.5,
        "p95": 2152.5,
        "p99": 3227.6
      },
      "rps": {
        "count": 944,
        "mean": 94.68
      },
      "scenarioDuration": {
        "min": 3417.1,
        "max": 21411.5,
        "median": 3776.1,
        "p95": 5087.9,
        "p99": 7259.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 176,
        "Fuzz calculatePrice fixed": 178,
        "Fuzz calculatePrice minute": 146
      },
      "errors": {
        "ENOBUFS": 87
      },
      "codes": {
        "200": 375,
        "302": 444
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 222,
      "pendingRequests": 6655,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:56:40.771Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 358,
      "requestsCompleted": 761,
      "latency": {
        "min": 314.8,
        "max": 33311.9,
        "median": 1072.8,
        "p95": 2293.7,
        "p99": 6811.7
      },
      "rps": {
        "count": 865,
        "mean": 86.76
      },
      "scenarioDuration": {
        "min": 3333.9,
        "max": 36044.2,
        "median": 3933.5,
        "p95": 5343.1,
        "p99": 15268
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 183,
        "Fuzz calculatePrice fixed": 176,
        "Fuzz getSpec": 141
      },
      "errors": {
        "ENOBUFS": 127
      },
      "codes": {
        "200": 396,
        "302": 365
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 237,
      "pendingRequests": 6759,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:56:50.783Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 525,
      "requestsCompleted": 952,
      "latency": {
        "min": 303.5,
        "max": 27826.5,
        "median": 1005.1,
        "p95": 1603.8,
        "p99": 4483.3
      },
      "rps": {
        "count": 971,
        "mean": 97.1
      },
      "scenarioDuration": {
        "min": 2526.6,
        "max": 27705.1,
        "median": 3599.6,
        "p95": 5004.8,
        "p99": 14491.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 158,
        "Fuzz calculatePrice minute": 186,
        "Fuzz calculatePrice fixed": 156
      },
      "errors": {
        "EADDRINUSE": 14
      },
      "codes": {
        "200": 481,
        "302": 471
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 198,
      "pendingRequests": 6778,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:57:00.826Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 488,
      "requestsCompleted": 856,
      "latency": {
        "min": 321.8,
        "max": 24549.8,
        "median": 1044.1,
        "p95": 2060.3,
        "p99": 4814.8
      },
      "rps": {
        "count": 897,
        "mean": 89.43
      },
      "scenarioDuration": {
        "min": 2642.2,
        "max": 30535.9,
        "median": 3911.9,
        "p95": 5268.7,
        "p99": 22519
      },
      "scenarioCounts": {
        "Fuzz getSpec": 180,
        "Fuzz calculatePrice minute": 163,
        "Fuzz calculatePrice fixed": 157
      },
      "errors": {
        "EADDRINUSE": 28,
        "ENOBUFS": 54
      },
      "codes": {
        "200": 459,
        "302": 397
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 128,
      "pendingRequests": 6819,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:57:10.826Z",
      "scenariosCreated": 484,
      "scenariosCompleted": 394,
      "requestsCompleted": 804,
      "latency": {
        "min": 341,
        "max": 45042.4,
        "median": 1042,
        "p95": 1912.5,
        "p99": 6793.5
      },
      "rps": {
        "count": 870,
        "mean": 87.17
      },
      "scenarioDuration": {
        "min": 2640.2,
        "max": 47616.9,
        "median": 3755.6,
        "p95": 4968.1,
        "p99": 20205.8
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 158,
        "Fuzz calculatePrice minute": 180,
        "Fuzz getSpec": 146
      },
      "errors": {
        "EADDRINUSE": 16,
        "ENOBUFS": 15
      },
      "codes": {
        "200": 416,
        "302": 388
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 187,
      "pendingRequests": 6885,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:57:20.847Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 416,
      "requestsCompleted": 881,
      "latency": {
        "min": 227.9,
        "max": 58819.4,
        "median": 1269.6,
        "p95": 2602.7,
        "p99": 11058.2
      },
      "rps": {
        "count": 948,
        "mean": 94.8
      },
      "scenarioDuration": {
        "min": 3438.5,
        "max": 65712.9,
        "median": 4170,
        "p95": 6018.3,
        "p99": 35113.6
      },
      "scenarioCounts": {
        "Fuzz getSpec": 159,
        "Fuzz calculatePrice minute": 174,
        "Fuzz calculatePrice fixed": 166
      },
      "errors": {
        "EADDRINUSE": 1
      },
      "codes": {
        "200": 432,
        "302": 449
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 269,
      "pendingRequests": 6952,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:57:30.868Z",
      "scenariosCreated": 393,
      "scenariosCompleted": 487,
      "requestsCompleted": 876,
      "latency": {
        "min": 391.8,
        "max": 20845.5,
        "median": 1272.7,
        "p95": 2890.3,
        "p99": 5556.6
      },
      "rps": {
        "count": 796,
        "mean": 79.68
      },
      "scenarioDuration": {
        "min": 2817.3,
        "max": 27803.8,
        "median": 4767.3,
        "p95": 7018.6,
        "p99": 20763.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 137,
        "Fuzz calculatePrice minute": 134,
        "Fuzz getSpec": 122
      },
      "errors": {},
      "codes": {
        "200": 473,
        "302": 403
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 175,
      "pendingRequests": 6872,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:57:40.848Z",
      "scenariosCreated": 627,
      "scenariosCompleted": 589,
      "requestsCompleted": 999,
      "latency": {
        "min": 342.7,
        "max": 28462,
        "median": 1101.6,
        "p95": 2004.3,
        "p99": 3911.2
      },
      "rps": {
        "count": 1020,
        "mean": 102.51
      },
      "scenarioDuration": {
        "min": 2567.9,
        "max": 26770.3,
        "median": 4031.5,
        "p95": 5582.9,
        "p99": 10309.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 186,
        "Fuzz getSpec": 214,
        "Fuzz calculatePrice fixed": 227
      },
      "errors": {},
      "codes": {
        "200": 608,
        "302": 391
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 213,
      "pendingRequests": 6893,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:57:50.851Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 487,
      "requestsCompleted": 914,
      "latency": {
        "min": 337.6,
        "max": 26843.9,
        "median": 1115.4,
        "p95": 1771.7,
        "p99": 4401.8
      },
      "rps": {
        "count": 934,
        "mean": 93.59
      },
      "scenarioDuration": {
        "min": 2584.3,
        "max": 31232.7,
        "median": 3869.3,
        "p95": 5123.8,
        "p99": 17921
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 161,
        "Fuzz calculatePrice minute": 178,
        "Fuzz getSpec": 161
      },
      "errors": {},
      "codes": {
        "200": 479,
        "302": 435
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 226,
      "pendingRequests": 6913,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:58:00.874Z",
      "scenariosCreated": 501,
      "scenariosCompleted": 503,
      "requestsCompleted": 880,
      "latency": {
        "min": 327.8,
        "max": 19577.8,
        "median": 1065.6,
        "p95": 2216.6,
        "p99": 3568.3
      },
      "rps": {
        "count": 942,
        "mean": 94.01
      },
      "scenarioDuration": {
        "min": 2751.9,
        "max": 23818.5,
        "median": 4023.8,
        "p95": 5333.5,
        "p99": 8580
      },
      "scenarioCounts": {
        "Fuzz getSpec": 170,
        "Fuzz calculatePrice fixed": 173,
        "Fuzz calculatePrice minute": 158
      },
      "errors": {
        "ENOBUFS": 119,
        "EADDRINUSE": 2
      },
      "codes": {
        "200": 439,
        "302": 441
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 103,
      "pendingRequests": 6975,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:58:10.873Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 195,
      "requestsCompleted": 544,
      "latency": {
        "min": 322,
        "max": 33827,
        "median": 1085.1,
        "p95": 2880.5,
        "p99": 8075.4
      },
      "rps": {
        "count": 838,
        "mean": 83.97
      },
      "scenarioDuration": {
        "min": 3437.4,
        "max": 36261,
        "median": 3835.9,
        "p95": 5828.3,
        "p99": 23604.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 163,
        "Fuzz getSpec": 164,
        "Fuzz calculatePrice fixed": 173
      },
      "errors": {
        "ENOBUFS": 276,
        "EADDRINUSE": 17
      },
      "codes": {
        "200": 207,
        "302": 337
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 115,
      "pendingRequests": 7269,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:58:20.884Z",
      "scenariosCreated": 501,
      "scenariosCompleted": 228,
      "requestsCompleted": 596,
      "latency": {
        "min": 331.3,
        "max": 33985.6,
        "median": 1121.4,
        "p95": 2207,
        "p99": 3916.4
      },
      "rps": {
        "count": 885,
        "mean": 88.59
      },
      "scenarioDuration": {
        "min": 3399.1,
        "max": 36498,
        "median": 3887.4,
        "p95": 6709.9,
        "p99": 31171.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 170,
        "Fuzz calculatePrice minute": 176,
        "Fuzz getSpec": 155
      },
      "errors": {
        "ENOBUFS": 279,
        "EADDRINUSE": 14,
        "ECONNRESET": 1
      },
      "codes": {
        "200": 211,
        "302": 385
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 94,
      "pendingRequests": 7558,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:58:30.847Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 202,
      "requestsCompleted": 551,
      "latency": {
        "min": 317.2,
        "max": 20924,
        "median": 1014.2,
        "p95": 1699.1,
        "p99": 2348.9
      },
      "rps": {
        "count": 834,
        "mean": 84.07
      },
      "scenarioDuration": {
        "min": 3359.9,
        "max": 18549,
        "median": 3686.5,
        "p95": 4939.5,
        "p99": 12304.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 159,
        "Fuzz calculatePrice minute": 176,
        "Fuzz calculatePrice fixed": 165
      },
      "errors": {
        "ENOBUFS": 280
      },
      "codes": {
        "200": 217,
        "302": 334
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 112,
      "pendingRequests": 7841,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:58:40.850Z",
      "scenariosCreated": 497,
      "scenariosCompleted": 329,
      "requestsCompleted": 807,
      "latency": {
        "min": 301.4,
        "max": 29080,
        "median": 1028,
        "p95": 2107.2,
        "p99": 11990.1
      },
      "rps": {
        "count": 938,
        "mean": 93.8
      },
      "scenarioDuration": {
        "min": 3365.9,
        "max": 26472.1,
        "median": 3661.6,
        "p95": 4921.7,
        "p99": 15735.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 165,
        "Fuzz calculatePrice fixed": 174,
        "Fuzz calculatePrice minute": 158
      },
      "errors": {
        "ENOBUFS": 87
      },
      "codes": {
        "200": 365,
        "302": 442
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 193,
      "pendingRequests": 7972,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:58:50.853Z",
      "scenariosCreated": 503,
      "scenariosCompleted": 448,
      "requestsCompleted": 950,
      "latency": {
        "min": 290.9,
        "max": 17914.7,
        "median": 1008.7,
        "p95": 2101.6,
        "p99": 6466.6
      },
      "rps": {
        "count": 959,
        "mean": 95.9
      },
      "scenarioDuration": {
        "min": 3363.9,
        "max": 31643.8,
        "median": 3633.6,
        "p95": 5531.1,
        "p99": 22606
      },
      "scenarioCounts": {
        "Fuzz getSpec": 164,
        "Fuzz calculatePrice minute": 168,
        "Fuzz calculatePrice fixed": 171
      },
      "errors": {
        "ENOBUFS": 21
      },
      "codes": {
        "200": 496,
        "302": 454
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 227,
      "pendingRequests": 7981,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:59:00.895Z",
      "scenariosCreated": 18,
      "scenariosCompleted": 228,
      "requestsCompleted": 187,
      "latency": {
        "min": 300.8,
        "max": 26652.2,
        "median": 1031.6,
        "p95": 11068.5,
        "p99": 24103.1
      },
      "rps": {
        "count": 101,
        "mean": 10.06
      },
      "scenarioDuration": {
        "min": 2741.5,
        "max": 25278.4,
        "median": 3772.4,
        "p95": 9078,
        "p99": 21598.3
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 9,
        "Fuzz getSpec": 4,
        "Fuzz calculatePrice fixed": 5
      },
      "errors": {},
      "codes": {
        "200": 104,
        "302": 83
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 17,
      "pendingRequests": 7895,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:59:10.886Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 12,
      "requestsCompleted": 8,
      "latency": {
        "min": 328,
        "max": 32432.4,
        "median": 6935.7,
        "p95": 32432.4,
        "p99": 32432.4
      },
      "rps": {
        "count": 4,
        "mean": 0.48
      },
      "scenarioDuration": {
        "min": 15866.1,
        "max": 34847.8,
        "median": 21221.4,
        "p95": 34767.5,
        "p99": 34847.8
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 4,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5,
      "pendingRequests": 7891,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:59:20.900Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 1,
      "latency": {
        "min": 25614.3,
        "max": 25614.3,
        "median": 25614.3,
        "p95": 25614.3,
        "p99": 25614.3
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": 36908.9,
        "max": 36908.9,
        "median": 36908.9,
        "p95": 36908.9,
        "p99": 36908.9
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4,
      "pendingRequests": 7890,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:59:30.881Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 2,
      "latency": {
        "min": 360.9,
        "max": 42297.2,
        "median": 21329,
        "p95": 42297.2,
        "p99": 42297.2
      },
      "rps": {
        "count": 1,
        "mean": 0.33
      },
      "scenarioDuration": {
        "min": 44753.8,
        "max": 44753.8,
        "median": 44753.8,
        "p95": 44753.8,
        "p99": 44753.8
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 1,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 7889,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-17T18:59:35.254Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 3,
      "requestsCompleted": 4,
      "latency": {
        "min": 325.3,
        "max": 44408.6,
        "median": 22386.2,
        "p95": 44408.6,
        "p99": 44408.6
      },
      "rps": {
        "count": 2,
        "mean": 0.55
      },
      "scenarioDuration": {
        "min": 43410.2,
        "max": 46899.8,
        "median": 46767.3,
        "p95": 46899.8,
        "p99": 46899.8
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 2,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 7887,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
